Get related person
curl --request GET \
--url https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullName": "<string>",
"email": "jsmith@example.com",
"status": "NOT_STARTED",
"isActive": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Companies
Get related person
Retrieves a related person by ID, including archived persons (isActive is false).
GET
/
companies
/
{id}
/
related-persons
/
{personId}
Get related person
curl --request GET \
--url https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId} \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/companies/{id}/related-persons/{personId}"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullName": "<string>",
"email": "jsmith@example.com",
"status": "NOT_STARTED",
"isActive": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "COMPANY_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Required scope: COMPANIES_READ
Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Company identifier
Related person identifier
Response
Related person details
Company related person
Unique related person identifier
Company this person belongs to
Full name of the person
Email address of the person
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Verification status
Available options:
NOT_STARTED, IN_REVIEW, APPROVED, REJECTED Example:
"NOT_STARTED"
Whether the related person is still addressable. False when the person has been archived.
When the person was added (ISO 8601)
When the person was last updated (ISO 8601)